Manifest-Version: 1.0
Bundle-Description: Apache Synapse - Commons classes
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-SymbolicName: synapse-commons
Built-By: root
Bundle-ManifestVersion: 2
Bnd-LastModified: 1543226966585
Bundle-DocURL: http://www.apache.org/
Bundle-Vendor: Apache Software Foundation
Import-Package: com.hazelcast.concurrent.atomiclong;resolution:=option
 al,com.hazelcast.core;resolution:=optional,javax.activation;version="
 1.1";resolution:=optional,javax.cache;version="1.0";resolution:=optio
 nal,javax.management;resolution:=optional,javax.management.remote;res
 olution:=optional,javax.naming;resolution:=optional,javax.naming.spi;
 resolution:=optional,javax.security.auth;resolution:=optional,javax.s
 ervlet.http;version="3.0";resolution:=optional,javax.sql;resolution:=
 optional,javax.transaction;resolution:=optional,javax.transaction.xa;
 resolution:=optional,javax.xml;resolution:=optional,javax.xml.bind;re
 solution:=optional,javax.xml.bind.annotation;resolution:=optional,jav
 ax.xml.namespace;version="0.0.0",javax.xml.parsers;resolution:=option
 al,javax.xml.stream;version="1.0";resolution:=optional,javax.xml.stre
 am.events;version="1.0";resolution:=optional,javax.xml.stream.util;ve
 rsion="1.0";resolution:=optional,javax.xml.transform;resolution:=opti
 onal,javax.xml.transform.stream;resolution:=optional,org.apache.axiom
 .attachments;resolution:=optional,org.apache.axiom.om;resolution:=opt
 ional,org.apache.axiom.om.impl.builder;resolution:=optional,org.apach
 e.axiom.om.impl.llom;resolution:=optional,org.apache.axiom.om.xpath;r
 esolution:=optional,org.apache.axiom.soap;resolution:=optional,org.ap
 ache.axiom.util.base64;resolution:=optional,org.apache.axis2;resoluti
 on:=optional,org.apache.axis2.addressing;resolution:=optional,org.apa
 che.axis2.builder;resolution:=optional,org.apache.axis2.clustering;re
 solution:=optional,org.apache.axis2.context;resolution:=optional,org.
 apache.axis2.description;resolution:=optional,org.apache.axis2.engine
 ;resolution:=optional,org.apache.axis2.handlers;resolution:=optional,
 org.apache.axis2.i18n;resolution:=optional,org.apache.axis2.java.secu
 rity;resolution:=optional,org.apache.axis2.modules;resolution:=option
 al,org.apache.axis2.transport;resolution:=optional,org.apache.axis2.t
 ransport.base;resolution:=optional,org.apache.axis2.transport.base.th
 reads;resolution:=optional,org.apache.axis2.transport.http;resolution
 :=optional,org.apache.axis2.transport.http.util;resolution:=optional,
 org.apache.axis2.util;resolution:=optional,org.apache.commons.dbcp;re
 solution:=optional,org.apache.commons.dbcp.cpdsadapter;resolution:=op
 tional,org.apache.commons.dbcp.datasources;resolution:=optional,org.a
 pache.commons.io;version="2.0";resolution:=optional,org.apache.common
 s.io.output;version="2.0";resolution:=optional,org.apache.commons.lan
 g;version="2.4";resolution:=optional,org.apache.commons.logging;resol
 ution:=optional,org.apache.commons.net.ftp;resolution:=optional,org.a
 pache.commons.pool.impl;resolution:=optional,org.apache.commons.vfs2;
 resolution:=optional,org.apache.commons.vfs2.provider;resolution:=opt
 ional,org.apache.commons.vfs2.util;resolution:=optional,org.apache.ge
 ronimo.mail.util;resolution:=optional,org.apache.neethi;resolution:=o
 ptional,org.apache.neethi.builders.xml;resolution:=optional,org.apach
 e.synapse.commons;resolution:=optional,org.apache.synapse.commons.bea
 nstalk.enterprise;resolution:=optional,org.apache.synapse.commons.bui
 lders;resolution:=optional,org.apache.synapse.commons.crypto;resoluti
 on:=optional,org.apache.synapse.commons.datasource;resolution:=option
 al,org.apache.synapse.commons.datasource.factory;resolution:=optional
 ,org.apache.synapse.commons.datasource.serializer;resolution:=optiona
 l,org.apache.synapse.commons.evaluators;resolution:=optional,org.apac
 he.synapse.commons.evaluators.config;resolution:=optional,org.apache.
 synapse.commons.evaluators.source;resolution:=optional,org.apache.syn
 apse.commons.executors;resolution:=optional,org.apache.synapse.common
 s.executors.config;resolution:=optional,org.apache.synapse.commons.ex
 ecutors.queues;resolution:=optional,org.apache.synapse.commons.format
 ters;resolution:=optional,org.apache.synapse.commons.jmx;resolution:=
 optional,org.apache.synapse.commons.json;resolution:=optional,org.apa
 che.synapse.commons.json.staxon;resolution:=optional,org.apache.synap
 se.commons.snmp;resolution:=optional,org.apache.synapse.commons.staxo
 n.core.base;resolution:=optional,org.apache.synapse.commons.staxon.co
 re.event;resolution:=optional,org.apache.synapse.commons.staxon.core.
 json;resolution:=optional,org.apache.synapse.commons.staxon.core.json
 .jaxb;resolution:=optional,org.apache.synapse.commons.staxon.core.jso
 n.stream;resolution:=optional,org.apache.synapse.commons.staxon.core.
 json.stream.impl;resolution:=optional,org.apache.synapse.commons.stax
 on.core.json.stream.util;resolution:=optional,org.apache.synapse.comm
 ons.staxon.core.json.util;resolution:=optional,org.apache.synapse.com
 mons.staxon.core.util;resolution:=optional,org.apache.synapse.commons
 .staxon.core.xml.util;resolution:=optional,org.apache.synapse.commons
 .templates.uri;resolution:=optional,org.apache.synapse.commons.templa
 tes.uri.parser;resolution:=optional,org.apache.synapse.commons.thrott
 le.core;resolution:=optional,org.apache.synapse.commons.throttle.core
 .factory;resolution:=optional,org.apache.synapse.commons.throttle.cor
 e.impl.domainbase;resolution:=optional,org.apache.synapse.commons.thr
 ottle.core.impl.ipbase;resolution:=optional,org.apache.synapse.common
 s.throttle.core.impl.rolebase;resolution:=optional,org.apache.synapse
 .commons.throttle.core.internal;resolution:=optional,org.apache.synap
 se.commons.throttle.module;resolution:=optional,org.apache.synapse.co
 mmons.throttle.module.handler;resolution:=optional,org.apache.synapse
 .commons.throttle.module.utils;resolution:=optional,org.apache.synaps
 e.commons.throttle.module.utils.impl;resolution:=optional,org.apache.
 synapse.commons.transaction;resolution:=optional,org.apache.synapse.c
 ommons.util;resolution:=optional,org.apache.synapse.commons.util.ext;
 resolution:=optional,org.apache.synapse.commons.vfs;resolution:=optio
 nal,org.bouncycastle.jce.provider;version="1.52";resolution:=optional
 ,org.jaxen;version="1.1";resolution:=optional,org.osgi.service.compon
 ent;resolution:=optional,org.snmp4j;resolution:=optional,org.snmp4j.a
 gent;resolution:=optional,org.snmp4j.agent.io;resolution:=optional,or
 g.snmp4j.agent.mo;resolution:=optional,org.snmp4j.agent.mo.snmp;resol
 ution:=optional,org.snmp4j.agent.security;resolution:=optional,org.sn
 mp4j.log;resolution:=optional,org.snmp4j.mp;resolution:=optional,org.
 snmp4j.security;resolution:=optional,org.snmp4j.smi;resolution:=optio
 nal,org.snmp4j.transport;resolution:=optional,org.w3c.dom;resolution:
 =optional,org.wso2.securevault;resolution:=optional,org.wso2.secureva
 ult.commons;resolution:=optional,org.wso2.securevault.definition;reso
 lution:=optional,org.wso2.securevault.keystore;resolution:=optional,o
 rg.wso2.securevault.secret;resolution:=optional
Service-Component: OSGI-INF/serviceComponents.xml
DynamicImport-Package: *
Tool: Bnd-0.0.238
Export-Package: org.apache.synapse.commons.throttle.module.handler;use
 s:="org.apache.synapse.commons.throttle.core,org.apache.axis2.engine,
 javax.cache,javax.servlet.http,org.apache.synapse.commons.throttle.mo
 dule.utils,org.apache.axis2.context,org.apache.axis2.transport.http,o
 rg.apache.axis2.description,org.apache.commons.logging,javax.xml.name
 space,org.apache.axis2.handlers,org.apache.synapse.commons.throttle.m
 odule,org.apache.synapse.commons.throttle.module.utils.impl,org.apach
 e.axis2",org.apache.synapse.commons.util.ext;uses:="org.apache.common
 s.logging,org.apache.synapse.commons.util",org.apache.synapse.commons
 .datasource.serializer;uses:="org.wso2.securevault,org.wso2.securevau
 lt.secret,org.apache.synapse.commons.datasource",org.apache.synapse.c
 ommons.staxon.core.util;uses:="javax.xml,org.w3c.dom,javax.xml.namesp
 ace,javax.xml.stream,javax.xml.stream.util,javax.xml.stream.events,ja
 vax.xml.parsers",org.apache.synapse.commons.builders;uses:="org.apach
 e.axiom.om,org.apache.axiom.soap,org.apache.axis2.transport.http.util
 ,org.apache.axis2.context,org.apache.axis2.transport.http,org.apache.
 axis2.addressing,org.apache.axis2.description,org.apache.axis2.i18n,o
 rg.apache.commons.logging,org.apache.axis2.builder,javax.xml.namespac
 e,org.apache.axis2,org.apache.axis2.java.security,org.apache.axis2.ut
 il,javax.activation",org.apache.synapse.commons.util;uses:="org.apach
 e.axiom.om,org.apache.commons.io,org.apache.axiom.om.impl.builder,org
 .apache.synapse.commons,org.apache.commons.logging,javax.xml.namespac
 e",org.apache.synapse.commons.throttle.core.internal;uses:="org.apach
 e.synapse.commons.throttle.core,org.osgi.service.component,org.apache
 .commons.logging,com.hazelcast.core",org.apache.synapse.commons.staxo
 n.core.json.stream.util;uses:="javax.xml,javax.xml.namespace,org.apac
 he.synapse.commons.staxon.core.json.stream",org.apache.synapse.common
 s.datasource;uses:="org.wso2.securevault,org.apache.synapse.commons.u
 til,javax.naming,javax.sql,org.apache.synapse.commons.datasource.fact
 ory,org.apache.synapse.commons.jmx,org.apache.synapse.commons,org.apa
 che.commons.logging,org.wso2.securevault.secret,org.apache.commons.po
 ol.impl",org.apache.synapse.commons.executors;uses:="org.apache.axis2
 .transport.base.threads,org.apache.commons.logging",org.apache.synaps
 e.commons.jmx;uses:="org.apache.synapse.commons.util,javax.management
 ,org.apache.synapse.commons,org.apache.commons.logging,org.wso2.secur
 evault.secret,javax.security.auth,javax.management.remote",org.apache
 .synapse.commons.throttle.core.impl.domainbase;uses:="org.apache.syna
 pse.commons.throttle.core,org.apache.commons.logging",org.apache.syna
 pse.commons;uses:="org.apache.commons.logging",org.apache.synapse.com
 mons.staxon.core.json.util;uses:="javax.xml,org.apache.synapse.common
 s.staxon.core.json,org.apache.synapse.commons.staxon.core.util,javax.
 xml.namespace,javax.xml.stream,org.apache.synapse.commons.staxon.core
 .event,javax.xml.stream.events",org.apache.synapse.commons.staxon.cor
 e.json;uses:="javax.xml,org.apache.synapse.commons.staxon.core.json.s
 tream.impl,javax.xml.stream,org.apache.synapse.commons.staxon.core.ba
 se,org.apache.synapse.commons.staxon.core.json.stream.util,org.apache
 .synapse.commons.staxon.core.event,org.apache.synapse.commons.staxon.
 core.json.stream,javax.xml.namespace,javax.xml.stream.util",org.apach
 e.synapse.commons.crypto;uses:="org.apache.axiom.util.base64,org.wso2
 .securevault,org.wso2.securevault.keystore,org.bouncycastle.jce.provi
 der,org.apache.commons.logging,org.wso2.securevault.definition,org.ws
 o2.securevault.secret,org.wso2.securevault.commons,org.apache.axis2,o
 rg.apache.geronimo.mail.util,org.apache.commons.lang",org.apache.syna
 pse.commons.throttle.module;uses:="org.apache.synapse.commons.throttl
 e.core,org.apache.axiom.om,org.apache.axis2.engine,org.apache.axis2.c
 ontext,org.apache.axis2.description,org.apache.commons.logging,javax.
 xml.namespace,org.apache.axis2.modules,org.apache.axis2,org.apache.ne
 ethi.builders.xml,org.apache.neethi,org.apache.axis2.util",org.apache
 .synapse.commons.throttle.module.utils.impl;uses:="org.apache.synapse
 .commons.throttle.module.utils",org.apache.synapse.commons.throttle.c
 ore.impl.rolebase;uses:="org.apache.synapse.commons.throttle.core",or
 g.apache.synapse.commons.json.staxon;uses:="javax.xml.stream,org.apac
 he.synapse.commons.staxon.core.json.stream",org.apache.synapse.common
 s.templates.uri.parser;uses:="org.apache.synapse.commons.templates.ur
 i",org.apache.synapse.commons.formatters;uses:="org.apache.axis2.tran
 sport,org.apache.axiom.om,org.apache.axiom.soap,org.apache.axis2.tran
 sport.http.util,org.apache.axis2.context,org.apache.axis2.transport.h
 ttp,org.apache.axis2.description,org.apache.axis2,org.apache.axis2.ut
 il",org.apache.synapse.commons.vfs;uses:="org.apache.axis2.transport,
 org.apache.commons.vfs2.util,org.apache.axis2.transport.base,org.apac
 he.commons.net.ftp,org.apache.axiom.attachments,org.apache.axis2.cont
 ext,org.apache.axis2.description,org.apache.commons.logging,org.apach
 e.commons.vfs2.provider,org.apache.axis2,org.apache.commons.lang,org.
 apache.commons.vfs2",org.apache.synapse.commons.throttle.core;uses:="
 org.apache.axiom.om,org.apache.axis2.engine,com.hazelcast.core,javax.
 cache,org.apache.synapse.commons.throttle.core.internal,org.apache.ax
 is2.context,org.apache.axis2.clustering,org.apache.synapse.commons.th
 rottle.core.factory,org.apache.commons.logging,javax.xml.namespace,co
 m.hazelcast.concurrent.atomiclong,org.apache.neethi.builders.xml,org.
 apache.commons.lang,org.apache.neethi",org.apache.synapse.commons.tra
 nsaction;uses:="org.apache.commons.logging,javax.transaction.xa,javax
 .transaction,javax.sql,javax.naming",org.apache.synapse.commons.evalu
 ators;uses:="org.apache.axiom.om,org.apache.synapse.commons.evaluator
 s.config,org.apache.commons.logging,org.apache.axis2.transport.http.u
 til,org.apache.axis2.context,org.apache.synapse.commons.evaluators.so
 urce",org.apache.synapse.commons.executors.config;uses:="org.apache.a
 xiom.om,org.apache.commons.logging,javax.xml.namespace,org.apache.syn
 apse.commons.executors.queues,org.apache.axis2,org.apache.synapse.com
 mons.executors",org.apache.synapse.commons.staxon.core.json.stream.im
 pl;uses:="org.apache.synapse.commons.staxon.core.json.stream",org.apa
 che.synapse.commons.throttle.core.impl.ipbase;uses:="org.apache.synap
 se.commons.throttle.core,org.apache.commons.logging",org.apache.synap
 se.commons.staxon.core.base;uses:="javax.xml,javax.xml.namespace,java
 x.xml.stream,javax.xml.transform.stream,javax.xml.stream.util,javax.x
 ml.transform",org.apache.synapse.commons.json;uses:="org.apache.axis2
 .transport,javax.xml.stream,org.apache.synapse.commons.util,org.apach
 e.commons.io.output,org.apache.axis2.transport.http.util,org.apache.a
 xis2.context,org.apache.commons.io,org.apache.synapse.commons,org.apa
 che.synapse.commons.staxon.core.json,org.apache.axis2.addressing,org.
 apache.axis2.builder,org.apache.commons.logging,javax.xml.namespace,o
 rg.apache.axis2,javax.xml.stream.util,org.apache.axis2.util,org.apach
 e.axiom.om,org.apache.axiom.soap,org.apache.synapse.commons.staxon.co
 re.json.stream.impl,org.apache.synapse.commons.staxon.core.event,org.
 apache.axis2.transport.http,org.apache.axiom.om.impl.builder,org.apac
 he.axiom.om.impl.llom,javax.xml.stream.events",org.apache.synapse.com
 mons.staxon.core.event;uses:="javax.xml,javax.xml.namespace,javax.xml
 .stream,javax.xml.stream.util,javax.xml.stream.events",org.apache.syn
 apse.commons.throttle.module.utils;uses:="org.apache.synapse.commons.
 throttle.core,org.apache.commons.logging,org.apache.synapse.commons.t
 hrottle.module.utils.impl",org.apache.synapse.commons.datasource.fact
 ory;uses:="org.wso2.securevault,org.apache.commons.dbcp.cpdsadapter,o
 rg.apache.commons.dbcp.datasources,org.apache.synapse.commons.util,ja
 vax.sql,org.apache.synapse.commons.datasource,org.apache.commons.dbcp
 ,org.apache.synapse.commons,org.apache.commons.logging,org.wso2.secur
 evault.secret,org.apache.commons.pool.impl",org.apache.synapse.common
 s.evaluators.source;uses:="org.apache.synapse.commons.evaluators,org.
 apache.axiom.om,org.apache.axiom.soap,org.apache.axis2.context,org.ap
 ache.axiom.om.impl.llom,org.apache.commons.logging,org.jaxen,org.apac
 he.axiom.om.xpath",org.apache.synapse.commons.staxon.core.json.stream
 ;uses:="org.apache.synapse.commons.staxon.core.json.stream.impl,javax
 .xml.stream",org.apache.synapse.commons.staxon.core.xml.util;uses:="o
 rg.apache.synapse.commons.staxon.core.util,javax.xml.stream,org.apach
 e.synapse.commons.staxon.core.event,javax.xml.stream.events",org.apac
 he.synapse.commons.throttle.core.factory;uses:="org.apache.synapse.co
 mmons.throttle.core,org.apache.synapse.commons.throttle.core.impl.ipb
 ase,org.apache.synapse.commons.throttle.core.impl.rolebase,org.apache
 .synapse.commons.throttle.core.impl.domainbase",org.apache.synapse.co
 mmons.beanstalk.enterprise;uses:="org.apache.commons.logging,org.apac
 he.synapse.commons.util,javax.naming.spi,javax.naming,org.apache.syna
 pse.commons.jmx",org.apache.synapse.commons.evaluators.config;uses:="
 org.apache.synapse.commons.evaluators,org.apache.axiom.om,org.apache.
 commons.logging,javax.xml.namespace,org.apache.synapse.commons.evalua
 tors.source",org.apache.synapse.commons.staxon.core.json.jaxb;uses:="
 javax.xml.bind.annotation,javax.xml,javax.xml.stream,org.apache.synap
 se.commons.staxon.core.json.util,org.apache.synapse.commons.staxon.co
 re.json,javax.xml.namespace,javax.xml.bind",org.apache.synapse.common
 s.executors.queues;uses:="org.apache.synapse.commons.executors",org.a
 pache.synapse.commons.snmp;uses:="org.snmp4j.agent.io,org.snmp4j.smi,
 org.snmp4j.agent.mo,javax.management,org.snmp4j.mp,org.snmp4j.log,org
 .snmp4j.transport,org.snmp4j.agent.security,org.snmp4j.agent,org.snmp
 4j.security,org.apache.commons.logging,org.snmp4j,org.snmp4j.agent.mo
 .snmp",org.apache.synapse.commons.templates.uri;uses:="org.apache.syn
 apse.commons.templates.uri.parser"
Bundle-Version: 2.1.7.wso2v82
Bundle-Name: Apache Synapse - Commons classes
Private-Package: json
Ignore-Package: javax.xml.namespace
Created-By: Apache Maven Bundle Plugin
Build-Jdk: 1.8.0_144

